#!/bin/bash

echo "Master, starting system deploy (^^ )"
echo " "
echo " "

sudo pacman -Suuy
sudo pacman -S htop man volumeicon dnsutils httpie adobe-source-han-sans-jp-fonts bash-completion pcmanfm qtcreator mpv maim keepassxc clang qbittorrent xterm terminus-font firefox sfml xclip wireguard-tools wget p7zip unzip zip rsync neofetch mumble lxappearance gcc cmake gdb feh soundkonverter picard

sudo cp -f ./i3wm/lightdm-gtk-greeter.conf /etc/lightdm/
sudo cp -f ./i3wm/i3status.conf /etc/
sudo cp -f ./pacman/* /etc/
mkdir ~/.config/i3/
cp -f ./i3wm/config ~/.config/i3/config
cp -f ./i3wm/.Xresources ~
cp -f ./i3wm/.bashrc ~

mkdir ~/.config/QtProject/
mkdir ~/.config/QtProject/qtcreator/
mkdir ~/.config/QtProject/qtcreator/styles/
mkdir ~/.config/QtProject/qtcreator/beautifier/
mkdir ~/.config/QtProject/qtcreator/beautifier/clangformat/
mkdir ~/.config/QtProject/qtcreator/beautifier/clangformat/Linux/
cp -f ./qt-creator/styles/*  ~/.config/QtProject/qtcreator/styles/
cp -f ./qt-creator/clangformat/.clang-format ~/.config/QtProject/qtcreator/beautifier/clangformat/Linux/

git config --global user.name "NaiJi"
git config --global user.email "naijiworld@protonmail.com"

echo " "
echo " "
echo "Now installing yay!"
echo " "
echo " "

cd /opt
sudo git clone https://aur.archlinux.org/yay-git.git
sudo chown -R "$(id -un)":"$(id -un)" ./yay-git
cd yay-git
makepkg -si
yay -Suy
yay -S telegram-desktop visual-studio-code-bin unrar mednaffe element-desktop kid3 i3exit

echo " "
echo " "
echo "Now installing keyboard layout!"
echo " "
echo " "

localectl --no-convert set-x11-keymap us,ru "" "" grp:alt_shift_toggle
sudo nano /etc/locale.gen
sudo locale-gen

echo " "
echo " "
echo "Now downloading wallpapers!"
echo " "
echo " "

sudo mkdir -p /usr/share/backgrounds/
cd /usr/share/backgrounds/
sudo wget https://konachan.com/image/d4a2a8144586389bf1fcc9a50df1844d/Konachan.com%20-%20351373%20animal%20anthropomorphism%20ass%20azur_lane%20barefoot%20bikini%20bird%20echomlete%20gray_hair%20manjuu_%28azur_lane%29%20ponytail%20red_eyes%20rubber_duck%20swimsuit%20water.jpg -O /usr/share/backgrounds/my-wallpaper-6.jpg
sudo wget https://konachan.net/image/0addf104d25fcad2c283e711fb1a3487/Konachan.com%20-%20345835%20animal_ears%20bikini%20blue_archive%20breasts%20close%20fang%20foxgirl%20halo%20hasumi_%28hasubatake39%29%20hat%20kuda_izuna%20shorts%20swimsuit%20tail%20wristwear.jpg -O /usr/share/backgrounds/my-wallpaper-4.jpg
sudo wget https://konachan.net/image/f04f77e3e96970ce643ef327ae8adfaf/Konachan.com%20-%20346792%20barefoot%20beach%20bikini%20blue_archive%20brown_hair%20clouds%20green_eyes%20hat%20izayoi_nonomi%20long_hair%20navel%20samart_normal%20sky%20swimsuit.jpg -O /usr/share/backgrounds/my-wallpaper-2.jpg
sudo wget https://konachan.net/jpeg/4ffaae111e151140a836fb363de1cf53/Konachan.com%20-%20345914%20animal_ears%20aqua_eyes%20ass%20barefoot%20blue_archive%20blush%20breasts%20cleavage%20food%20gray_hair%20halo%20mr.zhuo%20popsicle%20swimsuit%20water%20wolfgirl.jpg -O /usr/share/backgrounds/my-greeter.jpg
sudo wget https://konachan.net/jpeg/753309ad1133e089aab59772f9394bd2/Konachan.com%20-%20349031%20beach%20bikini%20blue_archive%20breast_hold%20breasts%20brown_hair%20chyo%20cleavage%20green_eyes%20halo%20hat%20izayoi_nonomi%20long_hair%20see_through%20swimsuit%20water.jpg -O /usr/share/backgrounds/my-wallpaper-3.jpg
sudo wget https://konachan.com/jpeg/432d76531fbe249eb09baba8077eb5e6/Konachan.com%20-%20329296%20ass%20black_hair%20bra%20demon%20garter_belt%20long_hair%20nekomugiharu%20original%20panties%20purple_eyes%20skirt_lift%20succubus%20tail%20underwear.jpg -O /usr/share/backgrounds/my-wallpaper-1.jpg
sudo wget https://konachan.com/jpeg/8be916d44c6fa612ee370729611ae0f9/Konachan.com%20-%20320370%20boots%20ei_%28tndusdldu%29%20hatsune_miku%20headphones%20instrument%20kagamine_len%20kagamine_rin%20long_hair%20piano%20reflection%20skirt%20thighhighs%20tie%20twintails%20vocaloid.jpg -O /usr/share/backgrounds/my-wallpaper-5.jpg
sudo magick ./my-greeter.jpg -resize $(xrandr | grep '*' | cut -f 1 -d x)x$(xrandr | grep '*' | cut -f 2 -d x | cut -f 1 -d ' ')^ my-lockscreen.png

echo " "
echo " "
echo "Master, your PC is ready! Now sync your keepassxc"
echo "Don't forget to move ssh keys and wireguard setup"
echo "Optionally re-install your theme:"
echo "https://www.gnome-look.org/p/1838855/"
echo "https://www.gnome-look.org/p/1654368"
echo "https://www.gnome-look.org/p/1661959"
echo " "
echo "A-a-a-and reboot! Thank you!! ^^"
